<?xml version="1.0" encoding="utf-8"?>
<openerp>
    <data>

        <record id="stock_bin_movement_form_view" model="ir.ui.view">
            <field name="name">stock.bin_movement.form</field>
            <field name="model">stock.bin_movement</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
            <form string="stock_bin_movement_form_view">
                <button name="check_product_to_bin" string="check whether move is available" type="object" class="oe_highlight" />
                <button name="move_product_to_bin" string="Process" type="object" class="oe_highlight" />
                <button name="manufacturing_availbilty" string="Manufacturing Availablity" type="object" class="oe_highlight" />
                <button name="move_bin_to_box" string="Move from Manufacturing To Box" type="object" class="oe_highlight" />

                <sheet><group>
                     <button class="oe_inline oe_stat_button" name="button_dummy" type="object" 
                        icon="fa-list-alt" string='Update Value'/>
                    </group>
                    <group>
                        <field name='locationname' on_change="identfied_bin(locationname)"/>
                    </group>
                    <group>
                        <field name='origin'/>
                        <field name='location_src_id'/>
                        <field name='locationdestid'/>
                    </group>
                        <group>
                            <field name='token_number' attrs="{'invisible': [('token_number', '>', 1)]}" />
                               
                            <field name='productutility' on_change="product_moves_to_box(productutility,token_number)"/>
                            
                           
                        </group>
                    <group>
                    <field name='stock_transfer_detail' string='Product To Scan'>
                        <tree string="Extra Addresses" editable='bottom'>
                            <field name='product'/>
                            <field name='qty'/>
                        </tree>
                    </field>
                </group>
                </sheet>
            </form>
            </field>
        </record>
    	<record id="action_product_view_1" model="ir.actions.act_window">
            <field name='name'>Move Product in Boxes</field>
            <field name='res_model'>stock.bin_movement</field>
            <field name="view_id" ref="stock_bin_movement_form_view"/>
            <field name='view_type'>form</field>
            <field name='view_mode'>form</field>
        </record>

        <record id="stock_bin_movement_form_view_bin" model="ir.ui.view">
            <field name="name">movement.between.bins.form</field>
            <field name="model">movement.between.bins</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
            <form string="stock_bin_movement_form_view112">
                <button name="check_product_to_bin" string="check whether move is available" type="object" class="oe_highlight" />
                <button name="move_bin_to_box" string="Process" type="object" class="oe_highlight" />
              
                <sheet><group>
                     <button class="oe_inline oe_stat_button" name="button_dummy" type="object" 
                        icon="fa-list-alt" string='Update Value'/>
                    </group>
                    <group>
                        <!-- <field name='locationname' on_change="identfied_bin(locationname)"/> -->
                    </group>
                    <group>
                        <!-- <field name='origin'/> -->
                        <field name='source_id' on_change="identfied_bin(source_id)"/>
                        <field name='destination_id' on_change="identfied_bin1(destination_id)"/>

                        <field name='location_src_id'/>
                        <field name='locationdestid'/>
                        

                    </group>
                        <group>
                            <field name='token_number' attrs="{'invisible': [('token_number', '>', 1)]}" />
                               
                            <field name='productutility' on_change="product_moves_to_box(productutility,token_number)"/>
                        </group>
                    <group>
                    <field name='stock_transfer_detail' string='Product To Scan'>
                        <tree string="Extra Addresses" editable='bottom'>
                            <field name='product'/>
                            <field name='qty'/>
                        </tree>
                    </field>
                </group>
                </sheet>
            </form>
            </field>
        </record>
        
        <record id="action_product_view_11" model="ir.actions.act_window">
            <field name='name'>Move Product between bins</field>
            <field name='res_model'>movement.between.bins</field>
            <field name="view_id" ref="stock_bin_movement_form_view_bin"/>
            <field name='view_type'>form</field>
            <field name='view_mode'>form</field>
        </record>
        
        <menuitem action="action_product_view_11" id="menu_wh_product_bin2" parent="menu_wh_product_view_bin" string="Move Product between bins" groups="group_voylla_warehouse_user"/>


        <record id="stock_bin_movement_form_view_external5" model="ir.ui.view">
            <field name="name">movement.external.bins.form</field>
            <field name="model">movement.external.bins</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
            <form string="stock_bin_movement_form_view_external">
                <button name="check_product_to_bin" string="check whether move is available" type="object" class="oe_highlight" />
                <button name="move_bin_to_box" string="Process" type="object" class="oe_highlight" />
              
                <sheet><group>
                     <button class="oe_inline oe_stat_button" name="button_dummy" type="object" 
                        icon="fa-list-alt" string='Update Value'/>
                    </group>
                    <group>
                        <!-- <field name='locationname' on_change="identfied_bin(locationname)"/> -->
                    </group>
                    <group>
                        <!-- <field name='origin'/> -->
                        <field name='source_id' on_change="identfied_bin(source_id)"/>
                        <field name='destination_id' on_change="identfied_bin1(destination_id)"/>

                        <field name='location_src_id'/>
                        <field name='locationdestid'/>
                        

                    </group>
                        <group>
                            <field name='token_number' attrs="{'invisible': [('token_number', '>', 1)]}" />
                               
                            <field name='productutility' on_change="product_moves_to_box(productutility,token_number)"/>
                        </group>
                    <group>
                    <field name='stock_transfer_detail' string='Product To Scan'>
                        <tree string="Extra Addresses" editable='bottom'>
                            <field name='product'/>
                            <field name='qty'/>
                        </tree>
                    </field>
                </group>
                </sheet>
            </form>
            </field>
        </record>
        
        <record id="action_product_view_external5" model="ir.actions.act_window">
            <field name='name'>Move Product between External bins</field>
            <field name='res_model'>movement.external.bins</field>
            <field name="view_id" ref="stock_bin_movement_form_view_external5"/>
            <field name='view_type'>form</field>
            <field name='view_mode'>form</field>
        </record>
        
        <menuitem action="action_product_view_external5" id="menu_wh_product_bin2455" parent="menu_wh_product_view_bin" string="Move Product between External bins" groups="group_voylla_warehouse_user"/>

        <record id="queue_stock_bin_form_view" model="ir.ui.view">
            <field name="name">queue.stock_bin.form</field>
            <field name="model">queue.stock_bin</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
            <tree string="Scale able queu view">
                <field name='product_id'/>
                <field name='pending_qty'/>
                <field name='done_qty'/>
                <field name='total_qty'/>
                <field name='is_active'/>
            </tree>
            </field>
        </record>
        <record id="queue_stock_bin_form_view" model="ir.ui.view">
            <field name="name">queue.stock_bin.form</field>
            <field name="model">queue.stock_bin</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
            <form string="Scale able queue view">
                <sheet>
                    <group>
                        <field name='product_id'/>
                    </group>
                    <group>
                        <field name='available_qty'/>
                    </group>
                    <group>
                        <field name='pending_qty'/>
                        </group>
                    <group>
                        <field name='done_qty'/>
                        </group>
                    <group>
                        <field name='total_qty'/>
                        </group>
                    <group>
                        <field name='is_active'/></group>
                    <group>
                        <field name='stock_move_id' string='Product To Scan'>
                                <tree string="Extra Addresses" editable='bottom'>
                                    <field name='product_id'/>
                                    <field name='state'/>
                                    <field name='product_uom_qty'/>
                                </tree>
                        </field>
                    </group>
                </sheet>
            </form>
            </field>
        </record>
        <record id="queue_stock_bin_tree_view" model="ir.ui.view">
            <field name="name">queue.stock_bin.tree</field>
            <field name="model">queue.stock_bin</field>
            <field name="type">tree</field>
            <field name="arch" type="xml">
            <tree string="Scale able queue view">
                <field name='product_id'/>
                <field name='stock_location'/> 
                <field name="available_qty" string="Available Qty"/>
            </tree>
            </field>
        </record>

        <record id="action_product_view_queue" model="ir.actions.act_window">
            <field name='name'>Scaleable queue</field>
            <field name='res_model'>queue.stock_bin</field>
            <field name="view_id" ref="queue_stock_bin_tree_view"/>
            <field name='view_type'>form</field>
            <field name='view_mode'>tree,form</field>
        </record>
        
        


        <menuitem id="menu_wh_product_view_bin" name="Stock Transfer" parent="menu_voylla_warehouse"/>
        <menuitem action="action_product_view_1" id="menu_wh_product_bin" parent="menu_wh_product_view_bin" string="Move Product in boxes"/>
        <menuitem action="action_product_view_queue" id="menu_wh_product_bin_queue" parent="menu_wh_product_view_bin" string="Scaleable queue"/>
        <!-- <menuitem action="action_product_view_manu" id="menu_wh_product_manu" parent="menu_wh_product_view" string="Products"/> -->
        <record id="inventory_stock_tree_view_1" model="ir.ui.view">
            <field name="name">inventory.stock.transfer.tree</field>
            <field name="model">inventory.stock.transfer</field>
            <field name="type">tree</field>
            <field name="arch" type="xml">
            <tree string="Inventory stock Transfer">
                <field name='name'/>
                <field name='create_date'/>
                <field name='create_uid'/>
                <field name='write_uid'/>
                <field name='state'/>
                <field name='notes'/> 
            </tree>
            </field>
        </record>
        <record id="inventory_stock_form_view_77" model="ir.ui.view">
            <field name="name">inventory.stock.transfer.form</field>
            <field name="model">inventory.stock.transfer</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
            <form string="Inventory stock Transfer">
                <sheet>
                    <group>
                    <field name='name'/>
                    <field name='create_date'/>
                    <field name='destination' options="{'create': false, 'create_edit': false}"/>
                    </group>
                    <group>
                    <field name='create_uid'/>
                    .<field name='write_uid'/>
                    <field name='state'/>
                    </group>
                    <group>
                    <field name='inventory_stock_transfer_line' string="stock transfer">
                        <tree string="Extra Addresses" editable='bottom'>
                                <field name='product_id' on_change="onchange_product_for_stn(product_id)"/>
                                <field name='product_qty'/>
                                <field name='state'/>
                                <field name='price'/>
                        </tree>
                    </field>
                    </group> 
                </sheet>
                <sheet>
                    <group>
                    <field name='notes'/>
                </group>
                </sheet>
            </form>
            </field>
        </record>
        <record id="action_inventory_stock_transfer_1" model="ir.actions.act_window">
            <field name='name'>Inventory stock Transfer</field>
            <field name='res_model'>inventory.stock.transfer</field>
            <field name="view_id" ref="inventory_stock_tree_view_1"/>
            <field name='view_type'>form</field>
            <field name='view_mode'>tree,form</field>
        </record>
        <menuitem action="action_inventory_stock_transfer_1" id="action_inventory_stock_transfer_id" parent="menu_wh_product_view_bin" string="IST"/>

        <record id="stock_transfer_move_from_warehouse2" model="ir.ui.view">
            <field name="name">stock.transfer.voylla.warehouse.form</field>
            <field name="model">generating.stn.file.for.warehouse</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
            <form string="Generate File">
                <sheet>
                    <group colspan="4" col="6">
                        <button string="Generate File" name="generate_stn_move" type="object" context="{'res_id': active_id}"/>
                        or
                        <button string="Cancel" class="oe_link" special="cancel" />
                   </group>
               </sheet>
            </form>
            </field>
        </record>



        <record id="import_inventory_stock_move_form_view1" model="ir.ui.view">
            <field name="name">import_stock_move_form</field>
            <field name="model">import.inventory.stock.transfer</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
                <form string="Stock Transfer">
                    <sheet>
                        <group>
                            <field name="module_file"/>
                        </group>
                        <group>
                            <field name="location_id" />
                            <field name="note" />
                        </group>
                    </sheet>
                    <footer>
                        <button name="import_stock_transfer" type="object" string="Import" context="{'template_id':active_id}"/>
                    </footer>
                </form>
            </field>
        </record>

        <record id="action_view_inventory_stock_move_78" model="ir.actions.act_window">
            <field name="name">Import Stock Transfer</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">import.inventory.stock.transfer</field>
            <field name="view_type">form</field>
            <field name="view_mode">form</field>
            <field name="view_id" ref="import_inventory_stock_move_form_view1"></field>
            <field name="target">new</field>
        </record>

        <menuitem action="action_view_inventory_stock_move_78"
            id="import_stock_transfer_submenu_786" groups="group_voylla_warehouse_user" parent="menu_history_moves" sequence="25" />



        <act_window name="Stock Transfer from Voylla Warehouse" 
            res_model="generating.stn.file.for.warehouse"
            src_model="inventory.stock.transfer"
            view_mode="form"
            view_type="form"
            view_id="stock_transfer_move_from_warehouse2"
            groups="voylla_warehouse.group_voylla_warehouse_user"
            target="new"
            key2="client_action_multi"
            id="action_view_inventory_stock_move"/>


      <!--   <record id="temp_stock_tranfer_manfu_to_boxt_view" model="ir.ui.view">
            <field name="name">stock.bin_movement.form1</field>
            <field name="model">manuf.to.boxes</field>
            <field name="inherit_id" ref="stock_bin_movement_form_view" />
            <field name="arch" type="xml">
                <field name="productutility" position="replace">
                     <field name='productutility' on_change="manuf_to_box(productutility,token_number)"/>
                </field>
            </field>
        </record>
        <record id="action_product_temp_view_id1111" model="ir.actions.act_window">
            <field name='name'>Manfu to Boxes</field>
            <field name='res_model'>manuf.to.boxes</field>
            <field name="view_id" ref="temp_stock_tranfer_manfu_to_boxt_view"/>
            <field name='view_type'>form</field>
            <field name='view_mode'>form</field>
        </record>
         <menuitem action="action_product_temp_view_id1111" id="move_manfu_to_child_bin_temp" parent="menu_wh_product_view_bin" string="Manfu To Boxes"/> -->
        
    </data>
</openerp>